pqxx::range_bound< TYPE > Class Template Reference

A range boundary value. More...

`#include <range.hxx>`

## Public Member Functions

| range_bound ()=delete
constexpr | range_bound (no_bound) noexcept
constexpr | range_bound (inclusive_bound< TYPE > const &bound) noexcept(noexcept(inclusive_bound< TYPE >{bound}))
constexpr | range_bound (exclusive_bound< TYPE > const &bound) noexcept(noexcept(exclusive_bound{bound}))
constexpr | range_bound (range_bound const &) noexcept(noexcept(inclusive_bound< TYPE >{ std::declval< inclusive_bound< TYPE > const & >()}) and noexcept(exclusive_bound< TYPE >{ std::declval< exclusive_bound< TYPE > const & >()}))=default
constexpr | range_bound (range_bound &&)=default
constexpr bool | operator== (range_bound const &rhs) const noexcept(noexcept(*this->value()== *rhs.value()))
constexpr bool | operator!= (range_bound const &rhs) const noexcept(noexcept(*this==rhs))
range_bound & | operator= (range_bound const &)=default
range_bound & | operator= (range_bound &&)=default
constexpr bool | is_limited () const noexcept
| Is this a finite bound?
constexpr bool | is_inclusive () const noexcept
| Is this boundary an inclusive one?
constexpr bool | is_exclusive () const noexcept
| Is this boundary an exclusive one?
constexpr bool | extends_down_to (TYPE const &value) const
| Would this bound, as a lower bound, include `value`?
constexpr bool | extends_up_to (TYPE const &value) const
| Would this bound, as an upper bound, include `value`?
constexpr TYPE const * | value () const &noexcept
| Return bound value, or `nullptr` if it's not limited.

## Detailed Description

template<typename TYPE>
class pqxx::range_bound< TYPE >

A range boundary value.

A range bound is either no bound at all; or an inclusive bound; or an exclusive bound. Pass one of the three to the constructor.

## Constructor & Destructor Documentation

## range_bound() [1/6]

template<typename TYPE >

pqxx::range_bound< TYPE >::range_bound | ( |  | ) |

delete

## range_bound() [2/6]

template<typename TYPE >

constexpr pqxx::range_bound< TYPE >::range_bound | ( | no_bound |  | ) |

constexpr noexcept

## range_bound() [3/6]

template<typename TYPE >

constexpr pqxx::range_bound< TYPE >::range_bound | ( | inclusive_bound< TYPE > const & | bound | ) |

constexpr noexcept

## range_bound() [4/6]

template<typename TYPE >

constexpr pqxx::range_bound< TYPE >::range_bound | ( | exclusive_bound< TYPE > const & | bound | ) |

constexpr noexcept

## range_bound() [5/6]

template<typename TYPE >

constexpr pqxx::range_bound< TYPE >::range_bound | ( | range_bound< TYPE > const & |  | ) | const &

constexpr default noexcept

## range_bound() [6/6]

template<typename TYPE >

constexpr pqxx::range_bound< TYPE >::range_bound | ( | range_bound< TYPE > && |  | ) |

constexpr default

## Member Function Documentation

## extends_down_to()

template<typename TYPE >

constexpr bool pqxx::range_bound< TYPE >::extends_down_to | ( | TYPE const & | value | ) | const

constexpr

Would this bound, as a lower bound, include `value`?

References pqxx::range_bound< TYPE >::value().

## extends_up_to()

template<typename TYPE >

constexpr bool pqxx::range_bound< TYPE >::extends_up_to | ( | TYPE const & | value | ) | const

constexpr

Would this bound, as an upper bound, include `value`?

References pqxx::range_bound< TYPE >::value().

## is_exclusive()

template<typename TYPE >

constexpr bool pqxx::range_bound< TYPE >::is_exclusive | ( |  | ) | const

constexpr noexcept

Is this boundary an exclusive one?

## is_inclusive()

template<typename TYPE >

constexpr bool pqxx::range_bound< TYPE >::is_inclusive | ( |  | ) | const

constexpr noexcept

Is this boundary an inclusive one?

Referenced by pqxx::range_bound< TYPE >::operator==().

## is_limited()

template<typename TYPE >

constexpr bool pqxx::range_bound< TYPE >::is_limited | ( |  | ) | const

constexpr noexcept

Is this a finite bound?

Referenced by pqxx::range_bound< TYPE >::operator==(), and pqxx::range< TYPE >::range().

## operator!=()

template<typename TYPE >

constexpr bool pqxx::range_bound< TYPE >::operator!= | ( | range_bound< TYPE > const & | rhs | ) | const

constexpr noexcept

## operator=() [1/2]

template<typename TYPE >

range_bound & pqxx::range_bound< TYPE >::operator= | ( | range_bound< TYPE > && |  | ) |

default

## operator=() [2/2]

template<typename TYPE >

range_bound & pqxx::range_bound< TYPE >::operator= | ( | range_bound< TYPE > const & |  | ) |

default

## operator==()

template<typename TYPE >

constexpr bool pqxx::range_bound< TYPE >::operator== | ( | range_bound< TYPE > const & | rhs | ) | const

constexpr noexcept

References pqxx::range_bound< TYPE >::is_inclusive(), pqxx::range_bound< TYPE >::is_limited(), and pqxx::range_bound< TYPE >::value().

## value()

template<typename TYPE >

constexpr TYPE const * pqxx::range_bound< TYPE >::value | ( |  | ) | const &

constexpr noexcept

Return bound value, or `nullptr` if it's not limited.

Referenced by pqxx::range_bound< TYPE >::extends_down_to(), pqxx::range_bound< TYPE >::extends_up_to(), pqxx::range_bound< TYPE >::operator==(), and pqxx::range< TYPE >::range().

The documentation for this class was generated from the following file:

- range.hxx